% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/scatterPlot.R
\name{scatterPlot}
\alias{scatterPlot}
\title{scatterPlot module server logic}
\usage{
scatterPlot(input, output, session, clarion, marker.output = NULL,
  plot.method = "static", width = "auto", height = "auto", ppi = 72,
  scale = 1)
}
\arguments{
\item{input}{Shiny's input object}

\item{output}{Shiny's output object}

\item{session}{Shiny's session object}

\item{clarion}{A clarion object. See \code{\link[wilson]{Clarion}}. (Supports reactive)}

\item{marker.output}{Marker module output. See \code{\link[wilson]{marker}}.}

\item{plot.method}{Choose to rather render a 'interactive' or 'static' plot. Defaults to 'static'.}

\item{width}{Width of the plot in cm. Defaults to minimal size for readable labels and supports reactive.}

\item{height}{Height of the plot in cm. Defaults to minimal size for readable labels and supports reactive.}

\item{ppi}{Pixel per inch. Defaults to 72 and supports reactive.}

\item{scale}{Scale plot size. Defaults to 1, supports reactive.}
}
\value{
Returns reactive containing data used for plot.
}
\description{
scatterPlot module server logic
}
\details{
As markerOutput provides a second dataset used for highlighting it is crucial for it to have the same columnnames as the dataset provided by clarion.

Intersections between marker and clarion will be removed from clarion in favor of highlighting them.
}
